Summary:	Wayland protocol files
Summary(pl.UTF-8):	Pliki protokołu Wayland
Name:		wayland-protocols
Version:	1.32
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://wayland.freedesktop.org/releases.html
Source0:	https://gitlab.freedesktop.org/wayland/wayland-protocols/-/releases/%{version}/downloads/%{name}-%{version}.tar.xz
# Source0-md5:	00c2cedb0d2df714a0965a00c19385c6
URL:		https://wayland.freedesktop.org/
BuildRequires:	meson >= 0.55.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	wayland-devel >= 1.20.0
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
wayland-protocols contains Wayland protocols that adds functionality
not available in the Wayland core protocol. Such protocols either adds
completely new functionality, or extends the functionality of some
other protocol either in Wayland core, or some other protocol in
wayland-protocols.

%description -l pl.UTF-8
Pakiet wayland-protocols zawiera protokoły Wayland dodające
funkcjonalność niedostępną w podstawowym protokole Wayland. Protokoły
te dodają zupełnie funkcje, albo rozszerzają funkcjonalność innego
protokołu spośród postawiowych protokołów Wayland lub innego protokołu
z wayland-protocols.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING GOVERNANCE.md MEMBERS.md README.md
%{_datadir}/wayland-protocols
%{_npkgconfigdir}/wayland-protocols.pc
%changelog
* Mon Jul 03 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wayland-protocols.git;a=log;h=master

* Mon Jul 03 2023 Jan Palus <atler@pld-linux.org> b7cf0fc
- up to 1.32

* Tue Nov 29 2022 Jan Palus <atler@pld-linux.org> bfdbfc0
- up to 1.31

* Tue Nov 22 2022 Jan Palus <atler@pld-linux.org> e0132d7
- up to 1.30

* Sat Nov 05 2022 Jan Palus <atler@pld-linux.org> 2739d22
- up to 1.28

* Mon Oct 10 2022 Jan Palus <atler@pld-linux.org> e525874
- up to 1.27

* Fri Jul 08 2022 Jan Palus <atler@pld-linux.org> 25e8f9d
- up to 1.26

* Tue Mar 08 2022 Jan Palus <atler@pld-linux.org> 633bc7e
- up to 1.25

* Wed Nov 24 2021 Jan Palus <atler@pld-linux.org> 4652c6f
- up to 1.24

* Sat Sep 25 2021 Jakub Bogusz <qboosh@pld-linux.org> ff29e41
- updated to 1.23; build using meson

* Thu Sep 02 2021 Jan Palus <atler@pld-linux.org> 8d184cf
- BRs for tar.xz source

* Thu Sep 02 2021 Jan Palus <atler@pld-linux.org> d26b20c
- up to 1.22

* Sat May 15 2021 Jakub Bogusz <qboosh@pld-linux.org> 7d4fd94
- updated to 1.21

* Sun Apr 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 402a4c9
- updated to 1.20

* Tue Sep 10 2019 Jan Palus <atler@pld-linux.org> b5287c8
- up to 1.18

* Sun Apr 21 2019 Jakub Bogusz <qboosh@pld-linux.org> f6635dd
- updated to 1.17

* Fri Sep 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 2379ed1
- updated to 1.16

* Sun Jun 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 3697502
- updated to 1.14

* Fri Mar 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 55fbf75
- updated to 1.13

* Sat Nov 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 624d0de
- updated to 1.11

* Mon Sep 11 2017 Jan Palus <atler@pld-linux.org> c4413f9
- up to 1.10

